﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace StandardWeightCalculator
{
    enum Gender { Female, Male };
    enum Activity { Low, Medium, High };

    class Person
    {
        string name;
        int age;
        float height;   // centimeter
        float weight;   // kg
        Gender gender;
        Activity activity;

        public Person() : this("", 0, 0.0f, 0.0f, Gender.Female, Activity.Medium) { }
        public Person(string name, int age, float height, float weight, Gender gender, Activity activity)
        {
            this.name = name;
            this.age = age;
            this.height = height;
            this.weight = weight;
            this.gender = gender;
            this.activity = activity;
        }

        public string Name
        {
            get
            {
                return name;
            }
            set
            {
                name = value;
            }
        }

        public int Age
        {
            get
            {
                return age;
            }
            set
            {
                age = value;
            }
        }
        public float Height
        {
            get
            {
                return height;
            }
            set
            {
                height = value;
            }
        }
        public float Weight
        {
            get
            {
                return weight;
            }
            set
            {
                weight = value;
            }
        }
        public Gender Gender
        {
            get
            {
                return gender;
            }
            set
            {
                this.gender = value;
            }
        }
        public Activity Activity
        {
            get
            {
                return activity;
            }
            set
            {
                this.activity = value;
            }
        }

        public virtual void Print()
        {
            Console.WriteLine("Person name={0}", name);
            Console.WriteLine("Person age={0}", age);
            Console.WriteLine("Person height={0}", height);
            Console.WriteLine("Person weight={0}", weight);
            Console.WriteLine("Person gender={0}", gender);
            Console.WriteLine("Person activity={0}", activity);
        }

        // System.Object.ToString method override
        public override string ToString()
        {
            return string.Format("Person name={0}\nPerson age={1}\nPerson height={2}\nPerson weight={3}\nPerson gender={4}\nPerson activity={5}",
                name, age, height, weight, gender, activity); // 출력
        }

    }
}
